## piglit 0~git20231002

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)

# http://www.cmake.org/cmake/help/v3.0/policy/CMP0042.html
if (POLICY CMP0042)
	cmake_policy (SET CMP0042 NEW)
endif()

if (POLICY CMP0072)
        cmake_policy (SET CMP0072 OLD)
endif()

project (piglit)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")

INCLUDE (GNUInstallDirs)
INCLUDE (CheckCCompilerFlag)
INCLUDE (CheckCSourceCompiles)
INCLUDE (CheckCXXCompilerFlag)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckSymbolExists)
INCLUDE (CheckIncludeFile)
INCLUDE (FindPkgConfig)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

find_package(Threads)
find_package(PNG)
if(PNG_FOUND)
	add_definitions(-DPIGLIT_HAS_PNG)
endif(PNG_FOUND)
find_package(X11)
if(X11_FOUND)
	set(PIGLIT_HAS_X11 True)
	add_definitions(-DPIGLIT_HAS_X11)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
	set(PIGLIT_BUILD_GLES_TESTS_DEFAULT ON)
	set(PIGLIT_BUILD_VK_TESTS_DEFAULT ON)
else()
	set(PIGLIT_BUILD_GLES_TESTS_DEFAULT OFF)
	set(PIGLIT_BUILD_VK_TESTS_DEFAULT OFF)
endif()

option(PIGLIT_SSE2 "Build with SSE2 support on 32-bit x86 architecture" ON)

option(PIGLIT_BUILD_GL_TESTS "Build tests for OpenGL" ON)
option(PIGLIT_BUILD_GLES1_TESTS "Build tests for OpenGL ES1" ${PIGLIT_BUILD_GLES_TESTS_DEFAULT})
option(PIGLIT_BUILD_GLES2_TESTS "Build tests for OpenGL ES2" ${PIGLIT_BUILD_GLES_TESTS_DEFAULT})
option(PIGLIT_BUILD_GLES3_TESTS "Build tests for OpenGL ES3" ${PIGLIT_BUILD_GLES_TESTS_DEFAULT})
option(PIGLIT_BUILD_CL_TESTS "Build tests for OpenCL" OFF)
option(PIGLIT_BUILD_VK_TESTS "Build tests for Vulkan" ${PIGLIT_BUILD_VK_TESTS_DEFAULT})

if(PIGLIT_BUILD_GL_TESTS)
	find_package(OpenGL REQUIRED)
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	option(PIGLIT_USE_WAFFLE "Use Waffle in place of GLUT" ON)
else()
	option(PIGLIT_USE_WAFFLE "Use Waffle in place of GLUT" OFF)
endif()

if(PIGLIT_USE_WAFFLE)
	if (NOT WIN32)
		pkg_check_modules(Waffle REQUIRED waffle-1)

		if(NOT Waffle_FOUND)
			message(FATAL_ERROR "Failed to find Waffle. If Waffle "
			"is not packaged for your distribution, you can get "
			"it at https://gitlab.freedesktop.org/mesa/waffle."
		)
		endif()

		# Check the installed waffle version.
		#
		# We cannot reliably check the version with pkg_check_modules(), but
		# instead must check the version manually as below. The problem is that,
		# if one passes a required version to pkg_check_modules(), CMake
		# validates the required version at most once for the lifetime of the
		# source tree.  If someone changes the required version by editing the
		# CMakeLists, CMake fails to detect the new requirement.
		set(Waffle_REQUIRED_VERSION "1.6.0")
		if(Waffle_VERSION VERSION_LESS Waffle_REQUIRED_VERSION)
			message(FATAL_ERROR "Found waffle-${Waffle_VERSION}, but "
			"piglit requires waffle-${Waffle_REQUIRED_VERSION}")
		endif()
	else ()
		find_path(Waffle_INCLUDE_DIRS waffle.h)
		find_library(Waffle_LDFLAGS waffle-1)
		if(Waffle_INCLUDE_DIRS AND Waffle_LDFLAGS)
			set(Waffle_FOUND TRUE)
		else()
			message(FATAL_ERROR "Failed to find Waffle. Get and build Waffle from "
				"https://gitlab.freedesktop.org/mesa/waffle and set "
				"Waffle_INCLUDE_DIRS and Waffle_LDFLAGS variables accordingly."
			)
		endif()
	endif ()

	add_definitions(-DPIGLIT_USE_WAFFLE)
	add_definitions(-DWAFFLE_API_VERSION=0x0103)
else()
	find_package(GLUT REQUIRED)

	# The 'REQUIRED' above correctly produces an error for
	# OpenGL, but there's a bug involving FindGLUT.cmake
	# that fails to produce the error as of CMake 2.8.5.
	#
	# Instead, CMake keeps going and eventually spams
	# the console with a message for every target that used
	# e.g. the ${GLUT_INCLUDE_DIR} variable. So it
	# prints a line for basically every single test in piglit.
	#
	# Work around the bug and error out quickly here instead.
	if (NOT GLUT_FOUND)
		message(FATAL_ERROR "GLUT library not found")
	endif()
endif(PIGLIT_USE_WAFFLE)

if(PIGLIT_BUILD_GLES1_TESTS AND NOT PIGLIT_USE_WAFFLE)
	message(FATAL_ERROR "Option PIGLIT_BUILD_GLES1_TESTS requires PIGLIT_USE_WAFFLE")
endif(PIGLIT_BUILD_GLES1_TESTS AND NOT PIGLIT_USE_WAFFLE)

if(PIGLIT_BUILD_GLES2_TESTS AND NOT PIGLIT_USE_WAFFLE)
	message(FATAL_ERROR "Option PIGLIT_BUILD_GLES2_TESTS requires PIGLIT_USE_WAFFLE")
endif(PIGLIT_BUILD_GLES2_TESTS AND NOT PIGLIT_USE_WAFFLE)

if(PIGLIT_BUILD_GLES3_TESTS AND NOT PIGLIT_USE_WAFFLE)
	message(FATAL_ERROR "Option PIGLIT_BUILD_GLES3_TESTS requires PIGLIT_USE_WAFFLE")
endif(PIGLIT_BUILD_GLES3_TESTS AND NOT PIGLIT_USE_WAFFLE)

if(PIGLIT_BUILD_CL_TESTS)
	find_package(OpenCL 1.2 REQUIRED)
endif(PIGLIT_BUILD_CL_TESTS)

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	if(X11_FOUND AND OPENGL_gl_LIBRARY AND PIGLIT_BUILD_GLX_TESTS)
		set(PIGLIT_HAS_GLX True)
		add_definitions(-DPIGLIT_HAS_GLX)
	endif()

	pkg_check_modules(GBM QUIET gbm>=17.1)
	if(GBM_FOUND)
		set(PIGLIT_HAS_GBM True)
		add_definitions(-DPIGLIT_HAS_GBM)
		set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${GBM_LIBRARIES})
		CHECK_FUNCTION_EXISTS(gbm_bo_map PIGLIT_HAS_GBM_BO_MAP)
		if (PIGLIT_HAS_GBM_BO_MAP)
			add_definitions(-DPIGLIT_HAS_GBM_BO_MAP)
		endif()
		CHECK_FUNCTION_EXISTS(gbm_bo_get_fd_for_plane PIGLIT_HAS_GBM_BO_GET_FD_FOR_PLANE)
		if (PIGLIT_HAS_GBM_BO_GET_FD_FOR_PLANE)
			add_definitions(-DPIGLIT_HAS_GBM_BO_GET_FD_FOR_PLANE)
		endif()
	endif(GBM_FOUND)

	pkg_check_modules(WAYLAND QUIET wayland-client)
	if (WAYLAND_FOUND)
		set(PIGLIT_HAS_WAYLAND True)
		add_definitions(-DPIGLIT_HAS_WAYLAND)
		include_directories(${WAYLAND_INCLUDE_DIRS})

		FIND_LIBRARY(HAVE_XKBCOMMON NAMES xkbcommon)
		if(NOT HAVE_XKBCOMMON)
			message(FATAL_ERROR "Wayland support requires xkbcommon. "
				"Failed to find xkbcommon library.")
		endif()
		pkg_check_modules(XKBCOMMON QUIET xkbcommon)
	endif()

	pkg_check_modules(LIBDRM QUIET libdrm)
	pkg_check_modules(XCB QUIET xcb)
	pkg_check_modules(XCB_DRI2 QUIET xcb-dri2)
	pkg_check_modules(GLPROTO QUIET glproto)
	pkg_check_modules(LIBVULKAN QUIET vulkan)
ELSEIF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
	if (PIGLIT_USE_WAFFLE)
		set(PIGLIT_HAS_WGL True)
		add_definitions(-DPIGLIT_HAS_WGL)
	endif()
ENDIF()

if(PIGLIT_BUILD_VK_TESTS)

if (NOT LIBVULKAN_FOUND)
	message(FATAL_ERROR "libvulkan required by vulkan tests not found")
endif()

find_program(GLSLANG_VALIDATOR NAMES glslangValidator)

if (NOT GLSLANG_VALIDATOR)
	message(FATAL_ERROR "glslangValidator required by vulkan tests not found")
endif()

endif(PIGLIT_BUILD_VK_TESTS)

IF(PIGLIT_HAS_GLX)
	option(PIGLIT_BUILD_GLX_TESTS "Build tests that require GLX" ON)
ELSE()
	option(PIGLIT_BUILD_GLX_TESTS "Build tests that require GLX" OFF)
ENDIF()

IF(PIGLIT_HAS_WGL)
	option(PIGLIT_BUILD_WGL_TESTS "Build tests that require WGL" ON)
ELSE()
	option(PIGLIT_BUILD_WGL_TESTS "Build tests that require WGL" OFF)
ENDIF()


# Choose to build tests that use dma_buf.
#
# Piglit's dma_buf utilities require xcb-dri2 to gain DRM authentication, and
# gbm_bo_map() to be available for generating dma_bufs, and libdrm for fourcc
# definitions.
#
if(LIBDRM_FOUND AND LIBDRM_VERSION VERSION_GREATER "2.4.97" AND XCB_DRI2_FOUND AND PIGLIT_HAS_GBM_BO_MAP)
	set(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID true)
else()
	set(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID false)
endif()

if(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID)
	option(PIGLIT_BUILD_DMA_BUF_TESTS "Build tests that use dma_buf" ON)
else()
	option(PIGLIT_BUILD_DMA_BUF_TESTS "Build tests that use dma_buf" OFF)
endif()

# If the users has updated PIGLIT_BUILD_DMA_BUF_TESTS in the CMakeCache, then
# we need to validate it.
if(PIGLIT_BUILD_DMA_BUF_TESTS AND NOT PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID)
	message(FATAL_ERROR
		"PIGLIT_BUILD_DMA_BUF_TESTS require libdrm, "
		"gbm_bo_map(), libdrm>=2.4.98 and xcb-dri2")
endif()

IF(PIGLIT_BUILD_GLX_TESTS)
	pkg_check_modules(GLPROTO REQUIRED glproto)
ENDIF()

if (NOT Python_ADDITIONAL_VERSIONS)
	set(Python_ADDITIONAL_VERSIONS 3.12 3.11 3.10 3.9 3.8 3.7 3.6)
endif()
find_package(PythonInterp REQUIRED)
find_package(PythonNumpy 1.7.0 REQUIRED)
find_package(PythonMako 1.0.2 REQUIRED)

pkg_search_module(BASH_COMPLETION bash-completion)

# Default to compiling with debug information (`gcc -g`):
if(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE Debug CACHE STRING
	"May be one of: None Debug RelWithDebInfo Release MinSizeRel" FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if (NOT MSVC)
	if (PIGLIT_SSE2 AND CMAKE_SYSTEM_PROCESSOR MATCHES "(x86)|(X86)")
		# enables SSE2 and precision used on x86-64 by default
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mfpmath=sse")
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2 -mfpmath=sse")
	else()
		# degrade performance a bit, but enforce required precision
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffloat-store")
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffloat-store")
	endif()
	CHECK_C_COMPILER_FLAG("-Wall" C_COMPILER_FLAG_WALL)
	IF (C_COMPILER_FLAG_WALL)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
	ENDIF (C_COMPILER_FLAG_WALL)
	CHECK_CXX_COMPILER_FLAG("-Wall" CXX_COMPILER_FLAG_WALL)
	IF (CXX_COMPILER_FLAG_WALL)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
	ENDIF (CXX_COMPILER_FLAG_WALL)

	# Target C99.  GCC's default is gnu11 for 5.0 and newer, gnu89 for
	# older versions.
	check_c_compiler_flag ("-std=gnu99" C_COMPILER_FLAG_STD_GNU99)
	if (C_COMPILER_FLAG_STD_GNU99)
		set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
	endif ()
	# MSVC does not support C99 variable length arrays
	CHECK_C_COMPILER_FLAG("-Werror=vla" C_COMPILER_FLAG_WEVLA)
	IF (C_COMPILER_FLAG_WEVLA)
		SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=vla")
	ENDIF ()
	# GCC allows void pointer arithmetic, but it is not part of ISO C and
	# in particular MSVC will throw `C2036: 'void *' : unknown size`
	check_c_compiler_flag ("-Werror=pointer-arith" C_COMPILER_FLAG_WEPOINTER_ARITH)
	if (C_COMPILER_FLAG_WEPOINTER_ARITH)
		set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=pointer-arith")
	endif ()
	# MSVC only supports C99 variadic macros.  It doesn't support the
	# non-standard GNU named variadic macro syntax that's documented in
	# https://gcc.gnu.org/onlinedocs/cpp/Variadic-Macros.html
	#
	# XXX: on older GCC version this option has no effect unless -Wpedantic
	# is set, but this should be fixed on future GCC versions, per
	# https://gcc.gnu.org/ml/gcc-patches/2014-04/msg01459.html
	check_c_compiler_flag ("-Werror=variadic-macros" C_COMPILER_FLAG_WVARIADIC_MACROS)
	if (C_COMPILER_FLAG_WVARIADIC_MACROS)
		set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=variadic-macros")
	endif ()

	CHECK_CXX_COMPILER_FLAG("-Wno-narrowing" CXX_COMPILER_FLAG_WNO_NARROWING)
	IF (CXX_COMPILER_FLAG_WNO_NARROWING)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-narrowing")
	ENDIF (CXX_COMPILER_FLAG_WNO_NARROWING)
else ()
	# Adjust warnings
	add_definitions (-W3)
	add_definitions (-wd4018) # signed/unsigned mismatch
	add_definitions (-wd4244) # conversion from 'type1' to 'type2', possible loss of data
	add_definitions (-wd4305) # truncation from 'type1' to 'type2'
	add_definitions (-wd4800) # forcing value to bool 'true' or 'false' (performance warning)

	add_definitions (-D_CRT_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS -D_CRT_NONSTDC_NO_WARNINGS)
	add_definitions (-D_SCL_SECURE_NO_DEPRECATE -D_SCL_SECURE_NO_WARNINGS)
endif ()

if (MINGW)
	# Match MSVC default stack size
	set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--stack,1048576")
endif ()

if (${CMAKE_C_COMPILER_ID} STREQUAL "SunPro")
	# Use C++ to link C files.
	# http://developers.sun.com/solaris/articles/mixing.html#linking
	# Modified rule from Modules/CMakeCInformation.cmake.
	set (CMAKE_C_LINK_EXECUTABLE
		"<CMAKE_CXX_COMPILER> <FLAGS> <CMAKE_C_LINK_FLAGS> <LINK_FLAGS> <OBJECTS> -o <TARGET> <LINK_LIBRARIES>")
endif()

# Always enable GNU C extensions.  Non-GNU platforms will need to
# define wrappers for them.
add_definitions(-D_GNU_SOURCE)

if (WIN32)
	# MSVC & MinGW only define & use APIENTRY
	add_definitions (-DGLAPIENTRY=__stdcall)

	# Avoid namespace pollution when including windows.h
	# http://support.microsoft.com/kb/166474
	add_definitions (-DWIN32_LEAN_AND_MEAN=1)

	# Don't define min/max macros

=== tests/CMakeLists.txt ===
include_directories(
	${piglit_BINARY_DIR}/tests/util
	${piglit_SOURCE_DIR}/tests/util
)

file(
	GLOB PIGLIT_TESTS_METAFILES
	"*.meta.xml"
)

file(
	COPY ${PIGLIT_TESTS_METAFILES}
	DESTINATION ${piglit_BINARY_DIR}/tests
)

if(MSVC)
	include_directories(${piglit_SOURCE_DIR}/tests/util/msvc)
	add_definitions(-DSTATIC_GETOPT)
endif()

add_subdirectory (util)
add_subdirectory (fbo)
add_subdirectory (gbm)
add_subdirectory (general)
add_subdirectory (glx)
add_subdirectory (glslparsertest)
add_subdirectory (hiz)
add_subdirectory (asmparsertest)
add_subdirectory (security)
add_subdirectory (shaders)
add_subdirectory (texturing)
add_subdirectory (spec)
add_subdirectory (fast_color_clear)
add_subdirectory (llvmpipe)
add_subdirectory (perf)
add_subdirectory (wgl)

IF(EGL_FOUND)
	add_subdirectory (egl)
ENDIF(EGL_FOUND)

IF(PIGLIT_BUILD_CL_TESTS)
	add_subdirectory (cl)
ENDIF(PIGLIT_BUILD_CL_TESTS)

piglit_include_target_api()

=== tests/spec/CMakeLists.txt ===
add_subdirectory (amd_compressed_atc_texture)
add_subdirectory (amd_framebuffer_multisample_advanced)
add_subdirectory (amd_depth_clamp_separate)
add_subdirectory (amd_gpu_shader_half_float)
add_subdirectory (amd_performance_monitor)
add_subdirectory (amd_pinned_memory)
add_subdirectory (arb_arrays_of_arrays)
add_subdirectory (arb_base_instance)
add_subdirectory (arb_bindless_texture)
add_subdirectory (arb_buffer_storage)
add_subdirectory (arb_clear_buffer_object)
add_subdirectory (arb_clear_texture)
add_subdirectory (arb_clip_control)
add_subdirectory (arb_color_buffer_float)
add_subdirectory (arb_copy_image)
add_subdirectory (arb_compute_shader)
add_subdirectory (arb_compute_variable_group_size)
add_subdirectory (arb_cull_distance)
add_subdirectory (arb_debug_output)
add_subdirectory (khr_debug)
add_subdirectory (khr_texture_compression_astc)
add_subdirectory (oes_texture_compression_astc)
add_subdirectory (arb_depth_clamp)
add_subdirectory (arb_draw_indirect)
add_subdirectory (arb_draw_instanced)
add_subdirectory (arb_es2_compatibility)
add_subdirectory (arb_es3_compatibility)
add_subdirectory (arb_enhanced_layouts)
add_subdirectory (arb_explicit_attrib_location)
add_subdirectory (arb_explicit_uniform_location)
add_subdirectory (arb_framebuffer_no_attachments)
add_subdirectory (arb_framebuffer_object)
add_subdirectory (arb_framebuffer_srgb)
add_subdirectory (arb_geometry_shader4)
add_subdirectory (arb_get_program_binary)
add_subdirectory (arb_get_texture_sub_image)
add_subdirectory (arb_gpu_shader5)
add_subdirectory (arb_gpu_shader_fp64)
add_subdirectory (arb_instanced_arrays)
add_subdirectory (arb_internalformat_query)
add_subdirectory (arb_internalformat_query2)
add_subdirectory (arb_invalidate_subdata)
add_subdirectory (arb_map_buffer_alignment)
add_subdirectory (arb_map_buffer_range)
add_subdirectory (arb_multisample)
add_subdirectory (arb_occlusion_query)
add_subdirectory (arb_occlusion_query2)
add_subdirectory (arb_point_parameters)
add_subdirectory (arb_point_sprite)
add_subdirectory (arb_provoking_vertex)
add_subdirectory (arb_robustness)
add_subdirectory (arb_sample_locations)
add_subdirectory (arb_sample_shading)
add_subdirectory (arb_sampler_objects)
add_subdirectory (arb_seamless_cube_map)
add_subdirectory (amd_seamless_cubemap_per_texture)
add_subdirectory (amd_vertex_shader_layer)
add_subdirectory (amd_vertex_shader_viewport_index)
add_subdirectory (arb_separate_shader_objects)
add_subdirectory (arb_shader_subroutine)
add_subdirectory (arb_shader_texture_lod/execution)
add_subdirectory (arb_shader_atomic_counters)
add_subdirectory (arb_shader_objects)
add_subdirectory (arb_shader_image_load_store)
add_subdirectory (arb_shader_image_size)
add_subdirectory (arb_shading_language_420pack/execution)
add_subdirectory (arb_shading_language_include)
add_subdirectory (arb_stencil_texturing)
add_subdirectory (arb_sync)
add_subdirectory (arb_uniform_buffer_object)
add_subdirectory (ati_draw_buffers)
add_subdirectory (arb_sparse_buffer)
add_subdirectory (arb_tessellation_shader)
add_subdirectory (arb_texture_buffer_object)
add_subdirectory (arb_texture_buffer_range)
add_subdirectory (arb_texture_compression)
add_subdirectory (arb_texture_cube_map)
add_subdirectory (arb_texture_cube_map_array)
add_subdirectory (arb_texture_float)
add_subdirectory (arb_texture_rectangle)
add_subdirectory (arb_texture_multisample)
add_subdirectory (arb_texture_storage)
add_subdirectory (arb_texture_storage_multisample)
add_subdirectory (arb_texture_view)
add_subdirectory (arb_timer_query)
add_subdirectory (arb_transform_feedback2)
add_subdirectory (arb_transform_feedback3)
add_subdirectory (arb_transform_feedback_overflow_query)
add_subdirectory (arb_viewport_array)
add_subdirectory (ati_envmap_bumpmap)
add_subdirectory (ati_fragment_shader)
add_subdirectory (ext_depth_bounds_test)
add_subdirectory (ext_draw_instanced)
add_subdirectory (ext_external_objects)
add_subdirectory (ext_external_objects_fd)
add_subdirectory (ext_frag_depth)
add_subdirectory (ext_fog_coord)
add_subdirectory (ext_framebuffer_multisample)
add_subdirectory (ext_framebuffer_multisample_blit_scaled)
add_subdirectory (ext_framebuffer_object)
add_subdirectory (ext_gpu_shader4)
add_subdirectory (ext_packed_depth_stencil)
add_subdirectory (ext_packed_float)
add_subdirectory (ext_shader_image_load_store)
add_subdirectory (ext_shader_samples_identical)
add_subdirectory (ext_texture_env_combine)
add_subdirectory (ext_texture_swizzle)
add_subdirectory (ext_timer_query)
add_subdirectory (ext_transform_feedback)
add_subdirectory (nv_conditional_render)
add_subdirectory (nv_fill_rectangle)
add_subdirectory (nv_fog_distance)
add_subdirectory (nv_image_formats)
add_subdirectory (nv_primitive_restart)
add_subdirectory (nv_texture_barrier)
add_subdirectory (nv_texture_env_combine4)
add_subdirectory (oes_compressed_etc1_rgb8_texture)
add_subdirectory (oes_compressed_paletted_texture)
add_subdirectory (oes_required_internalformat)
add_subdirectory (oes_matrix_get)
add_subdirectory (arb_draw_elements_base_vertex)
add_subdirectory (arb_fragment_program)
add_subdirectory (arb_vertex_array_bgra)
add_subdirectory (arb_vertex_buffer_object)
add_subdirectory (arb_vertex_program)
add_subdirectory (arb_copy_buffer)
add_subdirectory (arb_shader_storage_buffer_object)
add_subdirectory (glsl-1.10)
add_subdirectory (glsl-1.20)
add_subdirectory (glsl-1.30)
add_subdirectory (glsl-1.40)
add_subdirectory (glsl-1.50)
add_subdirectory (glsl-es-1.00)
add_subdirectory (glsl-es-3.00)
add_subdirectory (gl-1.0)
add_subdirectory (gl-1.1)
add_subdirectory (gl-1.2)
add_subdirectory (gl-1.3)
add_subdirectory (gl-1.4)
add_subdirectory (gl-1.5)
add_subdirectory (gl-2.0)
add_subdirectory (gl-2.1)
add_subdirectory (gl-3.0)
add_subdirectory (gl-3.1)
add_subdirectory (gl-3.2)
add_subdirectory (gl-3.3)
add_subdirectory (gl-4.1)
add_subdirectory (gl-4.3)
add_subdirectory (gl-4.4)
add_subdirectory (gl-4.5)
add_subdirectory (gles-2.0)
add_subdirectory (gles-3.0)
add_subdirectory (glx_arb_create_context)
add_subdirectory (glx_ext_import_context)
add_subdirectory (glx_mesa_query_renderer)
add_subdirectory (glx_oml_sync_control)
add_subdirectory (arb_vertex_type_10f_11f_11f_rev)
add_subdirectory (arb_vertex_type_2_10_10_10_rev)
add_subdirectory (ext_clear_texture)
add_subdirectory (ext_texture_array)
add_subdirectory (ext_texture_integer)
add_subdirectory (arb_draw_buffers)
add_subdirectory (arb_draw_buffers_blend)
add_subdirectory (oes_draw_texture)
add_subdirectory (oes_fixed_point)
add_subdirectory (ext_image_dma_buf_import)
add_subdirectory (arb_program_interface_query)
add_subdirectory (arb_blend_func_extended)
add_subdirectory (ext_unpack_subimage)
add_subdirectory (arb_vertex_array_object)
add_subdirectory (oes_texture_float)
add_subdirectory (arb_direct_state_access)
add_subdirectory (ext_polygon_offset_clamp)
add_subdirectory (arb_pipeline_statistics_query)
add_subdirectory (arb_texture_stencil8)
add_subdirectory (arb_vertex_attrib_64bit)
add_subdirectory (ext_framebuffer_blit)
add_subdirectory (mesa_pack_invert)
add_subdirectory (ext_texture_format_bgra8888)
add_subdirectory (oes_draw_elements_base_vertex)
add_subdirectory (arb_shader_draw_parameters)
add_subdirectory (arb_indirect_parameters)
add_subdirectory (arb_query_buffer_object)
add_subdirectory (ext_window_rectangles)
add_subdirectory (arb_shader_texture_image_samples)
add_subdirectory (arb_texture_barrier)
add_subdirectory (intel_conservative_rasterization)
add_subdirectory (arb_post_depth_coverage)
add_subdirectory (arb_fragment_shader_interlock)
add_subdirectory (ext_occlusion_query_boolean)
add_subdirectory (ext_disjoint_timer_query)
add_subdirectory (intel_blackhole_render)
add_subdirectory (ext_texture_norm16)
add_subdirectory (ext_render_snorm)
add_subdirectory (ext_texture_compression_bptc)
add_subdirectory (ext_texture_compression_rgtc)
add_subdirectory (ext_color_buffer_float)
add_subdirectory (ext_debug_label)
add_subdirectory (khr_parallel_shader_compile)
add_subdirectory (ext_direct_state_access)
add_subdirectory (arb_gpu_shader_int64)
add_subdirectory (oes_egl_image_external_essl3)
add_subdirectory (intel_performance_query)
add_subdirectory (nv_copy_image)
add_subdirectory (nv_viewport_swizzle)
add_subdirectory (nv_alpha_to_coverage_dither_control)
add_subdirectory (nv_copy_depth_to_color)
add_subdirectory (arm_shader_framebuffer_fetch_depth_stencil)
add_subdirectory (ext_instanced_arrays)

=== cmake/target_api/no_api/CMakeLists.txt ===
# "Make no_api. no_api... what kind of API is that? NonAPI. This is the
# essential art of CMake-zen."
#     -- Eihei Dogen. "Fukan Zazengi". circa 1228 CE.

set(piglit_target_api "no_api")
foreach(dir "src" "tests")
	add_subdirectory(${piglit_SOURCE_DIR}/${dir}
		${piglit_BINARY_DIR}/target_api/${piglit_target_api}/${dir}
		)
endforeach(dir)

=== tests/egl/spec/CMakeLists.txt ===
add_subdirectory (egl-1.4)
add_subdirectory (egl_ext_client_extensions)
add_subdirectory (egl_ext_device_base)
add_subdirectory (egl_ext_device_query)
add_subdirectory (egl_ext_device_enumeration)
add_subdirectory (egl_ext_device_drm)
add_subdirectory (egl_ext_platform_device)
add_subdirectory (egl_ext_image_dma_buf_import_modifiers)
add_subdirectory (egl_ext_protected_content)
add_subdirectory (egl_khr_create_context)
add_subdirectory (egl_khr_display_reference)
add_subdirectory (egl_khr_get_all_proc_addresses)
add_subdirectory (egl_khr_gl_image)
add_subdirectory (egl_khr_fence_sync)
add_subdirectory (egl_khr_surfaceless_context)
add_subdirectory (egl_mesa_device_software)
add_subdirectory (egl_mesa_platform_surfaceless)
add_subdirectory (egl_mesa_query_driver)

if (PIGLIT_HAS_X11)
	add_subdirectory (egl_chromium_sync_control)
endif (PIGLIT_HAS_X11)

=== tests/spec/glsl-1.50/CMakeLists.txt ===
add_subdirectory (execution)
piglit_include_target_api()

=== tests/spec/arb_gpu_shader5/compiler/CMakeLists.txt ===
add_subdirectory (stream-qualifier)
piglit_include_target_api()

=== tests/spec/glsl-1.10/execution/CMakeLists.txt ===
piglit_include_target_api()
add_subdirectory (clipping)
add_subdirectory (derivatives)
add_subdirectory (discard)
add_subdirectory (varying-packing)

## piglit 0~git20231002-24207f5be

=== debian/changelog ===
piglit (0~git20231002-24207f5be-1) unstable; urgency=medium

  * Update piglit upstream version to 24207f5be

 -- Jordan Justen <jljusten@debian.org>  Fri, 06 Oct 2023 11:12:56 -0700

piglit (0~git20230729-191c8b687-1) unstable; urgency=medium

  * Update piglit upstream version to 191c8b687
  * debian: Add update-git-release.sh script to help automate new releases
  * d/patches: Drop patches after upstream 191c8b687620

 -- Jordan Justen <jljusten@debian.org>  Mon, 07 Aug 2023 02:08:48 -0700

piglit (0~git20230613-172030ccb-1) unstable; urgency=medium

  * Update piglit upstream version to 172030ccb
  * d/control: Update Standards-Version to 4.6.2
  * d/control: Fix build-depends-on-obsolete-package (libgl1-mesa-dev => libgl-dev)
  * d/piglit.lintian-overrides: Update override format
  * d/copyright: Update location of glsl-gnome-shell-dim-window.shader_test

 -- Jordan Justen <jljusten@debian.org>  Mon, 31 Jul 2023 23:16:07 -0700

=== debian/control ===
Source: piglit
Priority: optional
Section: devel
Maintainer: Jordan Justen <jljusten@debian.org>
Build-Depends: bash-completion,
               binutils (>> 2.18),
               cmake,
               debhelper-compat (= 13),
               dh-python,
               glslang-tools,
               libegl1-mesa-dev | libegl-dev,
               libgbm-dev,
               libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libvulkan-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               ocl-icd-opencl-dev | opencl-dev,
               libwaffle-dev (>= 1.3),
               ninja-build,
               pkg-config,
               python3,
               python3-mako,
               python3-numpy,
               python3-six
Standards-Version: 4.6.2
Homepage: http://piglit.freedesktop.org/
Vcs-Git: https://salsa.debian.org/xorg-team/app/piglit.git
Vcs-Browser: https://salsa.debian.org/xorg-team/app/piglit

Package: piglit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         ${python3:Depends}, python3-six, python3-mako
Recommends: waffle-utils
Description: Open-source test suite for OpenGL and OpenCL implementations
 Piglit is an open-source test suite for OpenGL and OpenCL implementations.
